"use strict";
function _toHtml(keys, obj) {
    return keys
        .map(function (key) { return (key + "=\"" + obj[key] + "\""); })
        .join(' ');
}
function toHtml(obj) {
    return _toHtml(Object.keys(obj).sort(), obj);
}
exports.toHtml = toHtml;
function _toSelector(keys, obj) {
    return keys
        .map(function (attrName) { return ("[" + attrName + "='" + obj[attrName] + "']"); })
        .join('');
}
function toSelector(obj) {
    return _toSelector(Object.keys(obj).sort(), obj);
}
exports.toSelector = toSelector;
var Attrs = (function () {
    function Attrs(obj) {
        this._data = obj;
        this._attrNames = Object.keys(this._data).sort();
        this._attrNamesLen = this._attrNames.length;
        this.html = _toHtml(this._attrNames, this._data);
        this.selector = _toSelector(this._attrNames, this._data);
    }
    Attrs.prototype.each = function (callback) {
        for (var i = 0; i < this._attrNamesLen; ++i) {
            var attrName = this._attrNames[i];
            if (callback(attrName, this._data[attrName]) === false) {
                return false;
            }
        }
        return true;
    };
    return Attrs;
}());
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = Attrs;
//# sourceMappingURL=Attrs.js.map